### Method

# Gck Session sign_async

#### Declaration [src]

    void
    gck_session_sign_async (
      GckSession* self,
      GckObject* key,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Sign data in a mechanism specific manner. This call will return immediately and complete asynchronously.

#### Parameters

`key` | `GckObject`
| The key to sign with.
| The data is owned by the caller of the function.
`mechanism` | `GckMechanism`
| The mechanism type and parameters to use for signing.
| The data is owned by the caller of the function.
`input` | An array of `guchar`
| Data to sign.
| The length of the array is specified in the `n_input` argument.
| The data is owned by the caller of the function.
`n_input` | `gsize`
| Length of the data to sign.
`cancellable` | `GCancellable`
| A GCancellable which can be used to cancel the operation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| A pointer to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.